Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.projects.get('PROJECT_ID');curl --request GET \
--url https://api.migma.ai/v1/projects/{projectId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/projects/{projectId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"data": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"companyDetails": {},
"logoUrls": {
"primary": "<string>",
"secondary": "<string>",
"favicon": "<string>"
},
"imageUrls": [
{}
],
"typography": {},
"colors": {},
"screenshotUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Get Project Details
Get complete project details by ID, including branding information, colors, typography, and all project data.
GET
/
v1
/
projects
/
{projectId}
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.projects.get('PROJECT_ID');Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Project ID (MongoDB ObjectId)
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
⌘I